<template>
  <v-container fluid>
    <v-row justify="center" align="center">
      <v-card rounded :width="400" :max-height="600" class="px-4 my-6">
        <v-card-title>
          <v-spacer />
          <h2 class="font-weight-medium ">Pembayaran</h2>
          <v-spacer />
        </v-card-title>
        <v-card-text class="black--text">
          <v-col class="scroll">
            <template v-for="(item, index) in orders">
              <v-row :key="'item-' + index">
                <p class="text-left">
                  <span>{{ item.name }}</span> <br />
                  <span
                    >@ {{ formatCurr(item.price) }} x {{ item.amount }}</span
                  >
                </p>
                <v-spacer></v-spacer>
                <span class="text-right"
                  ><br />{{ formatCurr(item.price * item.amount) }}</span
                >
              </v-row>
            </template>
          </v-col>
          <v-col class="mt-2">
            <v-row>
              <h3>Total</h3>
              <v-spacer />
              <h3 class="text-right">{{ formatCurr(totalPrice) }}</h3>
            </v-row>
          </v-col>
        </v-card-text>
        <v-card-actions class="pt-0 pb-4">
          <v-btn
            to="/"
            rounded
            depressed
            min-width="100"
            color="grey lighten-2"
            class="font-weight-bold grey--text text--darken-1 text-capitalize"
            >Cancel</v-btn
          >
          <v-spacer />
          <v-btn
            @click="print"
            rounded
            depressed
            min-width="100"
            color="primary lighten-2"
            class="font-weight-bold white--text text-capitalize"
            >Print Bill</v-btn
          >
        </v-card-actions>
      </v-card>
    </v-row>
  </v-container>
</template>

<script>
export default {
  name: 'Checkout',
  computed: {
    orders() {
      return this.$store.state.cart;
    },
    totalPrice() {
      if (this.orders.length) {
        return this.orders.length > 1
          ? this.orders
              .map(arr => arr.amount * arr.price)
              .reduce((a, b) => a + b)
          : this.orders[0].amount * this.orders[0].price;
      }
      return 0;
    },
  },
  methods: {
    print() {
      this.$store.commit('finishOrder');
      this.$router.push('/');
    },
    formatCurr(num) {
      return Intl.NumberFormat('id-ID', {
        style: 'currency',
        currency: 'IDR',
      }).format(num);
    },
  },
};
</script>

<style lang="scss" scoped>
.scroll {
  max-height: 350px;
  overflow-y: auto;
  &::-webkit-scrollbar {
    width: 0.3em;
    border-radius: 0.3em;
    background-color: rgb(163, 163, 163);
  }
  &::-webkit-scrollbar-thumb {
    width: 0.3em;
    border-radius: 0.3em;
    background-color: rgb(63, 63, 63);
  }
}
</style>
